/*
 * Card.cs - A basic card (ancestor of all other cards)
 *
 * Copyright (C) 2003  Peter Minten
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */ 

namespace DotGNU_TCG
{
	using Microsoft.JScript; //For JSObject

	public class Card
	{
		protected CardState state = CardState.Held;
		protected ResourcePool requirements;
		protected int level, cost;
		protected Alignment alignment;		
		protected String group, picture, explanation, quote;
		protected JSObject customdata;
		/*
		 *  A word about customdata: it's used by jscript functions
		 *  for state. It's in jscript a hash. The keys of the hash
		 *  must have the following format: package/card/variablename .
		 *  The package and card parts are needed because functions
		 *  from other cards can set variables on a given card.
		 */

		//Create a card
		public Card(ResourcePool requirmements, int level, int cost, 
					Alignment alignment, String group, String picture, 
					String explanation, String quote)
		{
			this.level = level;
			this.cost = cost;
			this.alignment = alignment;
			this.group = group; //The group
			this.picture = picture; //The path to the picture
			this.explanation = explanation;
			this.quote = quote;
		}
		
	} //class Card
} //namespace DotGNU_TCG