/*
 * Resources.cs - The resources helper class
 *
 * Copyright (C) 2003  Peter Minten
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */ 
 
namespace DotGNU_TCG
{
	//Helper class for the resources
	public abstract class Resources
	{
		//Get a resource by name
		public static Resource GetResource(String name)
		{
			switch (name)
			{		
				case "Energy":
					return Resource.Energy;
					
				case "Matter":
					return Resource.Matter;

				case "Life":
					return Resource.Life;

				case "Psy":
					return Resource.Psy;
					
				case "Mana":
					return Resource.Mana;
					
				default:
					//Error
					throw new ArgumentOutOfRangeException
								("Invalid resource: " + name);
			}
		}
		
		//Get the name of a resource
		public static String GetName(Resource res)
		{
			switch(res)
			{
				case Resource.Energy:
					return "Energy";
					
				case Resource.Matter:
					return "Matter";
					
				case Resource.Life:
					return "Life";
				
				case Resource.Psy:
					return "Psy";
					
				case Resource.Mana;
					return "Mana";
					
				default:
					throw new ArgumentOutOfRangeException
								("Invalid resource, shouldn't be possible");
			}
		}
		
		//Get the location of the picture of a resource
		public static String GetPicture (Resource res)
		{
			switch(res)
			{
				case Resource.Energy:
					return "pics/energy.png";
					
				case Resource.Matter:
					return "pics/matter.png";
					
				case Resource.Life:
					return "pics/life.png";
				
				case Resource.Psy:
					return "pics/psy.png";
					
				case Resource.Mana;
					return "pics/mana.png";
					
				default:
					throw new ArgumentOutOfRangeException
								("Invalid resource, shouldn't be possible");
			}			
		}

		//Get the location of the picture of a resource
		public static String GetPicture (String name)
		{
			switch(name)
			{
				case "Energy":
					return "pics/energy.png";
					
				case "Matter":
					return "pics/matter.png";
					
				case "Life":
					return "pics/life.png";
				
				case "Psy":
					return "pics/psy.png";
					
				case "Mana";
					return "pics/mana.png";
					
				default:
					throw new ArgumentOutOfRangeException
								("Invalid resource: " + name);
			}			
		}
	}; //class Resources
}; //namespace DotGNU_TCG
